Bug Hunting Session
Bug 98556 - Reports docx files as corrupt if a writer is not installed.
Summary: Reports docx files as corrupt if a writer is not installed.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Error-Messages Desktop-Integration
  Show dependency treegraph
 
Reported: 2016-03-09 15:29 UTC by Matt
Modified: 2018-12-18 18:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2016-03-09 15:29:23 UTC
When I tried to open docx files they were being reported by a libreoffice dialog as corrupt. LibreOffice would offer to repair the file, but it would always fail. The actual problem was that I only had libre office calc installed.

It would be a better error/warning if the file was not determined to be corrupt, but instead libreoffice reported components are missing.
Comment 1 Buovjaga 2016-03-09 19:23:35 UTC
Well, maybe it was still possible in version 4.4 to "remove" applications in the Windows installer, but it is not possible anymore.
You didn't define an operating system - were you using Windows?
Comment 2 Matt 2016-03-09 19:32:12 UTC
(In reply to Buovjaga from comment #1)
> Well, maybe it was still possible in version 4.4 to "remove" applications in
> the Windows installer, but it is not possible anymore.
> You didn't define an operating system - were you using Windows?

No I am using fedora, sorry I didn't define it before.
Comment 3 Buovjaga 2016-03-13 12:55:06 UTC
Is it possible for you to try with 5.1.1? Or does it even allow to install the applications separately?
Comment 4 Matt 2016-03-13 22:24:22 UTC
(In reply to Buovjaga from comment #3)
> Is it possible for you to try with 5.1.1? Or does it even allow to install
> the applications separately?

I do not know how to install it separately if it is possible. Right now fedora lets me install individual components. I only have calc and writer installed. It looks like the rpm from the site will install everything.
Comment 5 Aron Budea 2016-05-08 00:00:29 UTC
Buovjaga, I could reproduce this in Ubuntu 15.10, which also has LO components installed separately (5.0.5.2). I removed these two packages: libreoffice-writer libreoffice-help-en-us.

As far as I can see the practice is the same in 16.04, separate packages per components: https://launchpad.net/ubuntu/xenial/+package/libreoffice
Comment 6 Buovjaga 2016-05-08 08:34:17 UTC
NEW per comment 5.
Comment 7 QA Administrators 2017-05-22 13:40:31 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522